Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class ToolEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.ToolEntryImpl

All Implemented Interfaces:
  EntryBase, EObject, InternalEObject, Notifier, ToolEntry, ToolGroupItem

public class ToolEntryImpl
extends EntryBaseImpl
implements ToolEntry

An implementation of the model object 'Tool Entry'.

The following features are implemented:

- `Default`
- `Gen Nodes`
- `Gen Links`
- `Elements`
- `Qualified Tool Name`
- `Properties`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected boolean` `default_` The cached value of the '`Default`' attribute
`protected static boolean` `DEFAULT_EDEFAULT` The default value of the '`Default`' attribute
`protected EList` `genLinks` The cached value of the '`Gen Links`' reference list
`protected EList` `genNodes` The cached value of the '`Gen Nodes`' reference list
`protected EMap` `properties` The cached value of the '`Properties`' map
`protected static java.lang.String` `QUALIFIED_TOOL_NAME_EDEFAULT` The default value of the '`Qualified Tool Name`' attribute
`protected java.lang.String` `qualifiedToolName` The cached value of the '`Qualified Tool Name`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
`CREATE_METHOD_NAME_EDEFAULT, createMethodName, description, DESCRIPTION_EDEFAULT, LARGE_ICON_PATH_EDEFAULT, largeIconPath, SMALL_ICON_PATH_EDEFAULT, smallIconPath, title, TITLE_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ToolEntryImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getCreateMethodName()` Returns the value of the 'Create Method Name' attribute
`EList` `getElements()`
`EList` `getGenLinks()`
`EList` `getGenNodes()`
`EMap` `getProperties()`
`java.lang.String` `getQualifiedToolName()`
`boolean` `isDefault()`
`void` `setDefault(boolean newDefault)`
`void` `setQualifiedToolName(java.lang.String newQualifiedToolName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.EntryBaseImpl
`getCreateMethodNameGen, getDescription, getEntryID, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getDescription, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### DEFAULT_EDEFAULT

    protected static final boolean DEFAULT_EDEFAULT

  The default value of the '`Default`' attribute.

  See Also:
    `ToolEntryImpl.isDefault()`, Constant Field Values
  ** Generated **
  Ordered:

### default_

    protected boolean default_

  The cached value of the '`Default`' attribute.

  See Also:
    `ToolEntryImpl.isDefault()`
  ** Generated **
  Ordered:

### genNodes

    protected EList genNodes

  The cached value of the '`Gen Nodes`' reference list.

  See Also:
    `ToolEntryImpl.getGenNodes()`
  ** Generated **
  Ordered:

### genLinks

    protected EList genLinks

  The cached value of the '`Gen Links`' reference list.

  See Also:
    `ToolEntryImpl.getGenLinks()`
  ** Generated **
  Ordered:

### QUALIFIED_TOOL_NAME_EDEFAULT

    protected static final java.lang.String QUALIFIED_TOOL_NAME_EDEFAULT

  The default value of the '`Qualified Tool Name`' attribute.

  See Also:
    `ToolEntryImpl.getQualifiedToolName()`
  ** Generated **
  Ordered:

### qualifiedToolName

    protected java.lang.String qualifiedToolName

  The cached value of the '`Qualified Tool Name`' attribute.

  See Also:
    `ToolEntryImpl.getQualifiedToolName()`
  ** Generated **
  Ordered:

### properties

    protected EMap properties

  The cached value of the '`Properties`' map.

  See Also:
    `ToolEntryImpl.getProperties()`
  ** Generated **
  Ordered:

Constructor Detail

### ToolEntryImpl

    protected ToolEntryImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EntryBaseImpl`
  ** Generated **

### isDefault

    public boolean isDefault()

  Specified by:
    `isDefault` in interface `ToolEntry`
  Returns:
    the value of the 'Default' attribute.
  See Also:
    `ToolEntry.setDefault(boolean)`, `GMFGenPackage.getToolEntry_Default()`
  ** Generated **

### setDefault

    public void setDefault(boolean newDefault)

  Specified by:
    `setDefault` in interface `ToolEntry`
  Parameters:
    `newDefault` - the new value of the 'Default' attribute.
  See Also:
    `ToolEntry.isDefault()`
  ** Generated **

### getGenNodes

    public EList getGenNodes()

  Specified by:
    `getGenNodes` in interface `ToolEntry`
  Returns:
    the value of the 'Gen Nodes' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_GenNodes()`
  ** Generated **

### getGenLinks

    public EList getGenLinks()

  Specified by:
    `getGenLinks` in interface `ToolEntry`
  Returns:
    the value of the 'Gen Links' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_GenLinks()`
  ** Generated **

### getElements

    public EList getElements()

  Specified by:
    `getElements` in interface `ToolEntry`
  Returns:
    the value of the 'Elements' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_Elements()`
  ** Generated **
    NOT

### getQualifiedToolName

    public java.lang.String getQualifiedToolName()

  Specified by:
    `getQualifiedToolName` in interface `ToolEntry`
  Returns:
    the value of the 'Qualified Tool Name' attribute.
  See Also:
    `ToolEntry.setQualifiedToolName(String)`, `GMFGenPackage.getToolEntry_QualifiedToolName()`
  ** Generated **

### setQualifiedToolName

    public void setQualifiedToolName(java.lang.String newQualifiedToolName)

  Specified by:
    `setQualifiedToolName` in interface `ToolEntry`
  Parameters:
    `newQualifiedToolName` - the new value of the 'Qualified Tool Name' attribute.
  See Also:
    `ToolEntry.getQualifiedToolName()`
  ** Generated **

### getProperties

    public EMap getProperties()

  Specified by:
    `getProperties` in interface `ToolEntry`
  Returns:
    the value of the 'Properties' map.
  See Also:
    `GMFGenPackage.getToolEntry_Properties()`
  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EntryBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EntryBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EntryBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EntryBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EntryBaseImpl`
  ** Generated **

### getCreateMethodName

    public java.lang.String getCreateMethodName()

  Description copied from interface: `EntryBase`
  Returns the value of the 'Create Method Name' attribute.

  If the meaning of the 'Create Method Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateMethodName` in interface `EntryBase`
  Returns:
    the value of the 'Create Method Name' attribute.
  See Also:
    `EntryBase.setCreateMethodName(String)`, `GMFGenPackage.getEntryBase_CreateMethodName()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.